package com.ruoyi.zhdd.service;

import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhdd.domain.PlanFile;
import com.ruoyi.zhdd.domain.bo.PlanFileBo;
import com.ruoyi.zhdd.domain.vo.PlanFileVo;

import java.util.Collection;
import java.util.List;

/**
 * 预案任务管理Service接口
 *
 * @author xitong
 * @date 2021-09-28
 */
public interface IPlanFileService extends IServicePlus<PlanFile, PlanFileVo> {
	/**
	 * 查询单个
	 * @return
	 */
	PlanFileVo queryById(String id);

	/**
	 * 查询列表
	 */
    TableDataInfo<PlanFileVo> queryPageList(PlanFileBo bo);

	/**
	 * 查询列表
	 */
	List<PlanFileVo> queryList(PlanFileBo bo);

	/**
	 * 根据新增业务对象插入预案任务管理
	 * @param bo 预案任务管理新增业务对象
	 * @return
	 */
	Boolean insertByBo(PlanFileBo bo);

	/**
	 * 根据编辑业务对象修改预案任务管理
	 * @param bo 预案任务管理编辑业务对象
	 * @return
	 */
	Boolean updateByBo(PlanFileBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
